Authorization: Bearer ********************{
"input": [
{
"role": "user",
"content": "다음과 같은 일을 동시에 할 수 있도록 도와주세요.\n1. 현재 시스템 시간을 가져옵니다.\n2. 시스템 정보 보기(운영 체제, 메모리 등)\n3. 123.5 + 456.7의 결과를 계산하는 데 도움을 주세요.\n4. 1~100 사이의 난수 3개를 생성합니다.\n\n이는 병렬 도구 호출 테스트이므로 이러한 작업을 동시에 수행하십시오."
}
],
"metadata": {
"model_id": "32"
},
"model": "gpt-4.1",
"tool_choice": "auto",
"tools": [
{
"type": "function",
"name": "random_generator",
"description": "지정된 범위 내에서 난수를 생성하여 일괄 생성을 지원합니다.",
"parameters": {
"type": "object",
"properties": {
"min": {
"description": "최소값(기본값 1)",
"type": "integer"
},
"max": {
"description": "최대값(기본값 100)",
"type": "integer"
},
"count": {
"description": "세대 수(기본값 1, 최대 10)",
"type": "integer"
}
}
}
},
{
"type": "function",
"name": "system_info",
"description": "운영 체제, Java 버전, 메모리 사용량 등을 포함하여 현재 시스템에 대한 기본 정보를 얻습니다.",
"parameters": {
"type": "object",
"properties": {}
}
},
{
"type": "function",
"name": "math_calculator",
"description": "덧셈, 뺄셈, 곱셈, 나눗셈, 지수 연산을 지원하는 기본 수학 연산을 수행합니다.",
"parameters": {
"type": "object",
"properties": {
"a": {
"description": "첫 번째 숫자",
"type": "number"
},
"b": {
"description": "두 번째 숫자",
"type": "number"
},
"operation": {
"description": "연산 유형: 더하기, 빼기, 곱하기, 나누기, 거듭제곱",
"type": "string"
}
},
"required": [
"operation",
"a",
"b"
]
}
},
{
"type": "function",
"name": "current_time",
"description": "현재 시스템 시간을 가져옵니다",
"parameters": {
"type": "object",
"properties": {}
}
}
]
}curl --location --request POST 'https://yossapi.com/v1/responses' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"input": [
{
"role": "user",
"content": "다음과 같은 일을 동시에 할 수 있도록 도와주세요.\n1. 현재 시스템 시간을 가져옵니다.\n2. 시스템 정보 보기(운영 체제, 메모리 등)\n3. 123.5 + 456.7의 결과를 계산하는 데 도움을 주세요.\n4. 1~100 사이의 난수 3개를 생성합니다.\n\n이는 병렬 도구 호출 테스트이므로 이러한 작업을 동시에 수행하십시오."
}
],
"metadata": {
"model_id": "32"
},
"model": "gpt-4.1",
"tool_choice": "auto",
"tools": [
{
"type": "function",
"name": "random_generator",
"description": "지정된 범위 내에서 난수를 생성하여 일괄 생성을 지원합니다.",
"parameters": {
"type": "object",
"properties": {
"min": {
"description": "최소값(기본값 1)",
"type": "integer"
},
"max": {
"description": "최대값(기본값 100)",
"type": "integer"
},
"count": {
"description": "세대 수(기본값 1, 최대 10)",
"type": "integer"
}
}
}
},
{
"type": "function",
"name": "system_info",
"description": "운영 체제, Java 버전, 메모리 사용량 등을 포함하여 현재 시스템에 대한 기본 정보를 얻습니다.",
"parameters": {
"type": "object",
"properties": {}
}
},
{
"type": "function",
"name": "math_calculator",
"description": "덧셈, 뺄셈, 곱셈, 나눗셈, 지수 연산을 지원하는 기본 수학 연산을 수행합니다.",
"parameters": {
"type": "object",
"properties": {
"a": {
"description": "첫 번째 숫자",
"type": "number"
},
"b": {
"description": "두 번째 숫자",
"type": "number"
},
"operation": {
"description": "연산 유형: 더하기, 빼기, 곱하기, 나누기, 거듭제곱",
"type": "string"
}
},
"required": [
"operation",
"a",
"b"
]
}
},
{
"type": "function",
"name": "current_time",
"description": "현재 시스템 시간을 가져옵니다",
"parameters": {
"type": "object",
"properties": {}
}
}
]
}'{
"id": "resp_68ac1558e9488190bcc2cbb94c7d7a140b8064b15a091a77",
"object": "response",
"created_at": 1756108120,
"status": "completed",
"background": false,
"content_filters": null,
"error": null,
"incomplete_details": null,
"instructions": null,
"max_output_tokens": null,
"max_tool_calls": null,
"model": "gpt-4.1-data",
"output": [
{
"id": "fc_68ac15594be88190a58217f75a6a54cc0b8064b15a091a77",
"type": "function_call",
"status": "completed",
"arguments": "{\"sign\":\"Aquarius\"}",
"call_id": "call_6kbB2GTk62PPUNdGuBJPx9KQ",
"name": "get_horoscope"
}
],
"parallel_tool_calls": true,
"previous_response_id": null,
"prompt_cache_key": null,
"reasoning": {
"effort": null,
"summary": null
},
"safety_identifier": null,
"service_tier": "default",
"store": true,
"temperature": 1.0,
"text": {
"format": {
"type": "text"
}
},
"tool_choice": "auto",
"tools": [
{
"type": "function",
"description": "Get today's horoscope for an astrological sign.",
"name": "get_horoscope",
"parameters": {
"properties": {
"sign": {
"description": "An astrological sign like Taurus or Aquarius",
"type": "string"
}
},
"required": [
"sign"
],
"type": "object"
},
"strict": true
}
],
"top_p": 1.0,
"truncation": "disabled",
"usage": {
"input_tokens": 62,
"input_tokens_details": {
"cached_tokens": 0
},
"output_tokens": 18,
"output_tokens_details": {
"reasoning_tokens": 0
},
"total_tokens": 80
},
"user": null,
"metadata": {}
}